Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network115.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
115.0.0.0
Broadcast address
115.255.255.255
First usable
115.0.0.1
Last usable
115.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 73000000 · Integer 1929379840 to 1946157055
Reverse DNS zone
115.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110011..00000000.00000000.00000000115.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01110011..00000000.00000000.00000000115.0.0.0
Broadcast01110011..11111111.11111111.11111111115.255.255.255
Split into smaller subnets/17

115.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1115.0.0.0/17115.0.0.1 to 115.0.127.254115.0.127.25532,766
2115.0.128.0/17115.0.128.1 to 115.0.255.254115.0.255.25532,766
3115.1.0.0/17115.1.0.1 to 115.1.127.254115.1.127.25532,766
4115.1.128.0/17115.1.128.1 to 115.1.255.254115.1.255.25532,766
5115.2.0.0/17115.2.0.1 to 115.2.127.254115.2.127.25532,766
6115.2.128.0/17115.2.128.1 to 115.2.255.254115.2.255.25532,766
7115.3.0.0/17115.3.0.1 to 115.3.127.254115.3.127.25532,766
8115.3.128.0/17115.3.128.1 to 115.3.255.254115.3.255.25532,766
9115.4.0.0/17115.4.0.1 to 115.4.127.254115.4.127.25532,766
10115.4.128.0/17115.4.128.1 to 115.4.255.254115.4.255.25532,766
11115.5.0.0/17115.5.0.1 to 115.5.127.254115.5.127.25532,766
12115.5.128.0/17115.5.128.1 to 115.5.255.254115.5.255.25532,766
13115.6.0.0/17115.6.0.1 to 115.6.127.254115.6.127.25532,766
14115.6.128.0/17115.6.128.1 to 115.6.255.254115.6.255.25532,766
15115.7.0.0/17115.7.0.1 to 115.7.127.254115.7.127.25532,766
16115.7.128.0/17115.7.128.1 to 115.7.255.254115.7.255.25532,766
17115.8.0.0/17115.8.0.1 to 115.8.127.254115.8.127.25532,766
18115.8.128.0/17115.8.128.1 to 115.8.255.254115.8.255.25532,766
19115.9.0.0/17115.9.0.1 to 115.9.127.254115.9.127.25532,766
20115.9.128.0/17115.9.128.1 to 115.9.255.254115.9.255.25532,766
21115.10.0.0/17115.10.0.1 to 115.10.127.254115.10.127.25532,766
22115.10.128.0/17115.10.128.1 to 115.10.255.254115.10.255.25532,766
23115.11.0.0/17115.11.0.1 to 115.11.127.254115.11.127.25532,766
24115.11.128.0/17115.11.128.1 to 115.11.255.254115.11.255.25532,766
25115.12.0.0/17115.12.0.1 to 115.12.127.254115.12.127.25532,766
26115.12.128.0/17115.12.128.1 to 115.12.255.254115.12.255.25532,766
27115.13.0.0/17115.13.0.1 to 115.13.127.254115.13.127.25532,766
28115.13.128.0/17115.13.128.1 to 115.13.255.254115.13.255.25532,766
29115.14.0.0/17115.14.0.1 to 115.14.127.254115.14.127.25532,766
30115.14.128.0/17115.14.128.1 to 115.14.255.254115.14.255.25532,766
31115.15.0.0/17115.15.0.1 to 115.15.127.254115.15.127.25532,766
32115.15.128.0/17115.15.128.1 to 115.15.255.254115.15.255.25532,766
33115.16.0.0/17115.16.0.1 to 115.16.127.254115.16.127.25532,766
34115.16.128.0/17115.16.128.1 to 115.16.255.254115.16.255.25532,766
35115.17.0.0/17115.17.0.1 to 115.17.127.254115.17.127.25532,766
36115.17.128.0/17115.17.128.1 to 115.17.255.254115.17.255.25532,766
37115.18.0.0/17115.18.0.1 to 115.18.127.254115.18.127.25532,766
38115.18.128.0/17115.18.128.1 to 115.18.255.254115.18.255.25532,766
39115.19.0.0/17115.19.0.1 to 115.19.127.254115.19.127.25532,766
40115.19.128.0/17115.19.128.1 to 115.19.255.254115.19.255.25532,766
41115.20.0.0/17115.20.0.1 to 115.20.127.254115.20.127.25532,766
42115.20.128.0/17115.20.128.1 to 115.20.255.254115.20.255.25532,766
43115.21.0.0/17115.21.0.1 to 115.21.127.254115.21.127.25532,766
44115.21.128.0/17115.21.128.1 to 115.21.255.254115.21.255.25532,766
45115.22.0.0/17115.22.0.1 to 115.22.127.254115.22.127.25532,766
46115.22.128.0/17115.22.128.1 to 115.22.255.254115.22.255.25532,766
47115.23.0.0/17115.23.0.1 to 115.23.127.254115.23.127.25532,766
48115.23.128.0/17115.23.128.1 to 115.23.255.254115.23.255.25532,766
49115.24.0.0/17115.24.0.1 to 115.24.127.254115.24.127.25532,766
50115.24.128.0/17115.24.128.1 to 115.24.255.254115.24.255.25532,766
51115.25.0.0/17115.25.0.1 to 115.25.127.254115.25.127.25532,766
52115.25.128.0/17115.25.128.1 to 115.25.255.254115.25.255.25532,766
53115.26.0.0/17115.26.0.1 to 115.26.127.254115.26.127.25532,766
54115.26.128.0/17115.26.128.1 to 115.26.255.254115.26.255.25532,766
55115.27.0.0/17115.27.0.1 to 115.27.127.254115.27.127.25532,766
56115.27.128.0/17115.27.128.1 to 115.27.255.254115.27.255.25532,766
57115.28.0.0/17115.28.0.1 to 115.28.127.254115.28.127.25532,766
58115.28.128.0/17115.28.128.1 to 115.28.255.254115.28.255.25532,766
59115.29.0.0/17115.29.0.1 to 115.29.127.254115.29.127.25532,766
60115.29.128.0/17115.29.128.1 to 115.29.255.254115.29.255.25532,766
61115.30.0.0/17115.30.0.1 to 115.30.127.254115.30.127.25532,766
62115.30.128.0/17115.30.128.1 to 115.30.255.254115.30.255.25532,766
63115.31.0.0/17115.31.0.1 to 115.31.127.254115.31.127.25532,766
64115.31.128.0/17115.31.128.1 to 115.31.255.254115.31.255.25532,766
65115.32.0.0/17115.32.0.1 to 115.32.127.254115.32.127.25532,766
66115.32.128.0/17115.32.128.1 to 115.32.255.254115.32.255.25532,766
67115.33.0.0/17115.33.0.1 to 115.33.127.254115.33.127.25532,766
68115.33.128.0/17115.33.128.1 to 115.33.255.254115.33.255.25532,766
69115.34.0.0/17115.34.0.1 to 115.34.127.254115.34.127.25532,766
70115.34.128.0/17115.34.128.1 to 115.34.255.254115.34.255.25532,766
71115.35.0.0/17115.35.0.1 to 115.35.127.254115.35.127.25532,766
72115.35.128.0/17115.35.128.1 to 115.35.255.254115.35.255.25532,766
73115.36.0.0/17115.36.0.1 to 115.36.127.254115.36.127.25532,766
74115.36.128.0/17115.36.128.1 to 115.36.255.254115.36.255.25532,766
75115.37.0.0/17115.37.0.1 to 115.37.127.254115.37.127.25532,766
76115.37.128.0/17115.37.128.1 to 115.37.255.254115.37.255.25532,766
77115.38.0.0/17115.38.0.1 to 115.38.127.254115.38.127.25532,766
78115.38.128.0/17115.38.128.1 to 115.38.255.254115.38.255.25532,766
79115.39.0.0/17115.39.0.1 to 115.39.127.254115.39.127.25532,766
80115.39.128.0/17115.39.128.1 to 115.39.255.254115.39.255.25532,766
81115.40.0.0/17115.40.0.1 to 115.40.127.254115.40.127.25532,766
82115.40.128.0/17115.40.128.1 to 115.40.255.254115.40.255.25532,766
83115.41.0.0/17115.41.0.1 to 115.41.127.254115.41.127.25532,766
84115.41.128.0/17115.41.128.1 to 115.41.255.254115.41.255.25532,766
85115.42.0.0/17115.42.0.1 to 115.42.127.254115.42.127.25532,766
86115.42.128.0/17115.42.128.1 to 115.42.255.254115.42.255.25532,766
87115.43.0.0/17115.43.0.1 to 115.43.127.254115.43.127.25532,766
88115.43.128.0/17115.43.128.1 to 115.43.255.254115.43.255.25532,766
89115.44.0.0/17115.44.0.1 to 115.44.127.254115.44.127.25532,766
90115.44.128.0/17115.44.128.1 to 115.44.255.254115.44.255.25532,766
91115.45.0.0/17115.45.0.1 to 115.45.127.254115.45.127.25532,766
92115.45.128.0/17115.45.128.1 to 115.45.255.254115.45.255.25532,766
93115.46.0.0/17115.46.0.1 to 115.46.127.254115.46.127.25532,766
94115.46.128.0/17115.46.128.1 to 115.46.255.254115.46.255.25532,766
95115.47.0.0/17115.47.0.1 to 115.47.127.254115.47.127.25532,766
96115.47.128.0/17115.47.128.1 to 115.47.255.254115.47.255.25532,766
97115.48.0.0/17115.48.0.1 to 115.48.127.254115.48.127.25532,766
98115.48.128.0/17115.48.128.1 to 115.48.255.254115.48.255.25532,766
99115.49.0.0/17115.49.0.1 to 115.49.127.254115.49.127.25532,766
100115.49.128.0/17115.49.128.1 to 115.49.255.254115.49.255.25532,766
101115.50.0.0/17115.50.0.1 to 115.50.127.254115.50.127.25532,766
102115.50.128.0/17115.50.128.1 to 115.50.255.254115.50.255.25532,766
103115.51.0.0/17115.51.0.1 to 115.51.127.254115.51.127.25532,766
104115.51.128.0/17115.51.128.1 to 115.51.255.254115.51.255.25532,766
105115.52.0.0/17115.52.0.1 to 115.52.127.254115.52.127.25532,766
106115.52.128.0/17115.52.128.1 to 115.52.255.254115.52.255.25532,766
107115.53.0.0/17115.53.0.1 to 115.53.127.254115.53.127.25532,766
108115.53.128.0/17115.53.128.1 to 115.53.255.254115.53.255.25532,766
109115.54.0.0/17115.54.0.1 to 115.54.127.254115.54.127.25532,766
110115.54.128.0/17115.54.128.1 to 115.54.255.254115.54.255.25532,766
111115.55.0.0/17115.55.0.1 to 115.55.127.254115.55.127.25532,766
112115.55.128.0/17115.55.128.1 to 115.55.255.254115.55.255.25532,766
113115.56.0.0/17115.56.0.1 to 115.56.127.254115.56.127.25532,766
114115.56.128.0/17115.56.128.1 to 115.56.255.254115.56.255.25532,766
115115.57.0.0/17115.57.0.1 to 115.57.127.254115.57.127.25532,766
116115.57.128.0/17115.57.128.1 to 115.57.255.254115.57.255.25532,766
117115.58.0.0/17115.58.0.1 to 115.58.127.254115.58.127.25532,766
118115.58.128.0/17115.58.128.1 to 115.58.255.254115.58.255.25532,766
119115.59.0.0/17115.59.0.1 to 115.59.127.254115.59.127.25532,766
120115.59.128.0/17115.59.128.1 to 115.59.255.254115.59.255.25532,766
121115.60.0.0/17115.60.0.1 to 115.60.127.254115.60.127.25532,766
122115.60.128.0/17115.60.128.1 to 115.60.255.254115.60.255.25532,766
123115.61.0.0/17115.61.0.1 to 115.61.127.254115.61.127.25532,766
124115.61.128.0/17115.61.128.1 to 115.61.255.254115.61.255.25532,766
125115.62.0.0/17115.62.0.1 to 115.62.127.254115.62.127.25532,766
126115.62.128.0/17115.62.128.1 to 115.62.255.254115.62.255.25532,766
127115.63.0.0/17115.63.0.1 to 115.63.127.254115.63.127.25532,766
128115.63.128.0/17115.63.128.1 to 115.63.255.254115.63.255.25532,766
129115.64.0.0/17115.64.0.1 to 115.64.127.254115.64.127.25532,766
130115.64.128.0/17115.64.128.1 to 115.64.255.254115.64.255.25532,766
131115.65.0.0/17115.65.0.1 to 115.65.127.254115.65.127.25532,766
132115.65.128.0/17115.65.128.1 to 115.65.255.254115.65.255.25532,766
133115.66.0.0/17115.66.0.1 to 115.66.127.254115.66.127.25532,766
134115.66.128.0/17115.66.128.1 to 115.66.255.254115.66.255.25532,766
135115.67.0.0/17115.67.0.1 to 115.67.127.254115.67.127.25532,766
136115.67.128.0/17115.67.128.1 to 115.67.255.254115.67.255.25532,766
137115.68.0.0/17115.68.0.1 to 115.68.127.254115.68.127.25532,766
138115.68.128.0/17115.68.128.1 to 115.68.255.254115.68.255.25532,766
139115.69.0.0/17115.69.0.1 to 115.69.127.254115.69.127.25532,766
140115.69.128.0/17115.69.128.1 to 115.69.255.254115.69.255.25532,766
141115.70.0.0/17115.70.0.1 to 115.70.127.254115.70.127.25532,766
142115.70.128.0/17115.70.128.1 to 115.70.255.254115.70.255.25532,766
143115.71.0.0/17115.71.0.1 to 115.71.127.254115.71.127.25532,766
144115.71.128.0/17115.71.128.1 to 115.71.255.254115.71.255.25532,766
145115.72.0.0/17115.72.0.1 to 115.72.127.254115.72.127.25532,766
146115.72.128.0/17115.72.128.1 to 115.72.255.254115.72.255.25532,766
147115.73.0.0/17115.73.0.1 to 115.73.127.254115.73.127.25532,766
148115.73.128.0/17115.73.128.1 to 115.73.255.254115.73.255.25532,766
149115.74.0.0/17115.74.0.1 to 115.74.127.254115.74.127.25532,766
150115.74.128.0/17115.74.128.1 to 115.74.255.254115.74.255.25532,766
151115.75.0.0/17115.75.0.1 to 115.75.127.254115.75.127.25532,766
152115.75.128.0/17115.75.128.1 to 115.75.255.254115.75.255.25532,766
153115.76.0.0/17115.76.0.1 to 115.76.127.254115.76.127.25532,766
154115.76.128.0/17115.76.128.1 to 115.76.255.254115.76.255.25532,766
155115.77.0.0/17115.77.0.1 to 115.77.127.254115.77.127.25532,766
156115.77.128.0/17115.77.128.1 to 115.77.255.254115.77.255.25532,766
157115.78.0.0/17115.78.0.1 to 115.78.127.254115.78.127.25532,766
158115.78.128.0/17115.78.128.1 to 115.78.255.254115.78.255.25532,766
159115.79.0.0/17115.79.0.1 to 115.79.127.254115.79.127.25532,766
160115.79.128.0/17115.79.128.1 to 115.79.255.254115.79.255.25532,766
161115.80.0.0/17115.80.0.1 to 115.80.127.254115.80.127.25532,766
162115.80.128.0/17115.80.128.1 to 115.80.255.254115.80.255.25532,766
163115.81.0.0/17115.81.0.1 to 115.81.127.254115.81.127.25532,766
164115.81.128.0/17115.81.128.1 to 115.81.255.254115.81.255.25532,766
165115.82.0.0/17115.82.0.1 to 115.82.127.254115.82.127.25532,766
166115.82.128.0/17115.82.128.1 to 115.82.255.254115.82.255.25532,766
167115.83.0.0/17115.83.0.1 to 115.83.127.254115.83.127.25532,766
168115.83.128.0/17115.83.128.1 to 115.83.255.254115.83.255.25532,766
169115.84.0.0/17115.84.0.1 to 115.84.127.254115.84.127.25532,766
170115.84.128.0/17115.84.128.1 to 115.84.255.254115.84.255.25532,766
171115.85.0.0/17115.85.0.1 to 115.85.127.254115.85.127.25532,766
172115.85.128.0/17115.85.128.1 to 115.85.255.254115.85.255.25532,766
173115.86.0.0/17115.86.0.1 to 115.86.127.254115.86.127.25532,766
174115.86.128.0/17115.86.128.1 to 115.86.255.254115.86.255.25532,766
175115.87.0.0/17115.87.0.1 to 115.87.127.254115.87.127.25532,766
176115.87.128.0/17115.87.128.1 to 115.87.255.254115.87.255.25532,766
177115.88.0.0/17115.88.0.1 to 115.88.127.254115.88.127.25532,766
178115.88.128.0/17115.88.128.1 to 115.88.255.254115.88.255.25532,766
179115.89.0.0/17115.89.0.1 to 115.89.127.254115.89.127.25532,766
180115.89.128.0/17115.89.128.1 to 115.89.255.254115.89.255.25532,766
181115.90.0.0/17115.90.0.1 to 115.90.127.254115.90.127.25532,766
182115.90.128.0/17115.90.128.1 to 115.90.255.254115.90.255.25532,766
183115.91.0.0/17115.91.0.1 to 115.91.127.254115.91.127.25532,766
184115.91.128.0/17115.91.128.1 to 115.91.255.254115.91.255.25532,766
185115.92.0.0/17115.92.0.1 to 115.92.127.254115.92.127.25532,766
186115.92.128.0/17115.92.128.1 to 115.92.255.254115.92.255.25532,766
187115.93.0.0/17115.93.0.1 to 115.93.127.254115.93.127.25532,766
188115.93.128.0/17115.93.128.1 to 115.93.255.254115.93.255.25532,766
189115.94.0.0/17115.94.0.1 to 115.94.127.254115.94.127.25532,766
190115.94.128.0/17115.94.128.1 to 115.94.255.254115.94.255.25532,766
191115.95.0.0/17115.95.0.1 to 115.95.127.254115.95.127.25532,766
192115.95.128.0/17115.95.128.1 to 115.95.255.254115.95.255.25532,766
193115.96.0.0/17115.96.0.1 to 115.96.127.254115.96.127.25532,766
194115.96.128.0/17115.96.128.1 to 115.96.255.254115.96.255.25532,766
195115.97.0.0/17115.97.0.1 to 115.97.127.254115.97.127.25532,766
196115.97.128.0/17115.97.128.1 to 115.97.255.254115.97.255.25532,766
197115.98.0.0/17115.98.0.1 to 115.98.127.254115.98.127.25532,766
198115.98.128.0/17115.98.128.1 to 115.98.255.254115.98.255.25532,766
199115.99.0.0/17115.99.0.1 to 115.99.127.254115.99.127.25532,766
200115.99.128.0/17115.99.128.1 to 115.99.255.254115.99.255.25532,766
201115.100.0.0/17115.100.0.1 to 115.100.127.254115.100.127.25532,766
202115.100.128.0/17115.100.128.1 to 115.100.255.254115.100.255.25532,766
203115.101.0.0/17115.101.0.1 to 115.101.127.254115.101.127.25532,766
204115.101.128.0/17115.101.128.1 to 115.101.255.254115.101.255.25532,766
205115.102.0.0/17115.102.0.1 to 115.102.127.254115.102.127.25532,766
206115.102.128.0/17115.102.128.1 to 115.102.255.254115.102.255.25532,766
207115.103.0.0/17115.103.0.1 to 115.103.127.254115.103.127.25532,766
208115.103.128.0/17115.103.128.1 to 115.103.255.254115.103.255.25532,766
209115.104.0.0/17115.104.0.1 to 115.104.127.254115.104.127.25532,766
210115.104.128.0/17115.104.128.1 to 115.104.255.254115.104.255.25532,766
211115.105.0.0/17115.105.0.1 to 115.105.127.254115.105.127.25532,766
212115.105.128.0/17115.105.128.1 to 115.105.255.254115.105.255.25532,766
213115.106.0.0/17115.106.0.1 to 115.106.127.254115.106.127.25532,766
214115.106.128.0/17115.106.128.1 to 115.106.255.254115.106.255.25532,766
215115.107.0.0/17115.107.0.1 to 115.107.127.254115.107.127.25532,766
216115.107.128.0/17115.107.128.1 to 115.107.255.254115.107.255.25532,766
217115.108.0.0/17115.108.0.1 to 115.108.127.254115.108.127.25532,766
218115.108.128.0/17115.108.128.1 to 115.108.255.254115.108.255.25532,766
219115.109.0.0/17115.109.0.1 to 115.109.127.254115.109.127.25532,766
220115.109.128.0/17115.109.128.1 to 115.109.255.254115.109.255.25532,766
221115.110.0.0/17115.110.0.1 to 115.110.127.254115.110.127.25532,766
222115.110.128.0/17115.110.128.1 to 115.110.255.254115.110.255.25532,766
223115.111.0.0/17115.111.0.1 to 115.111.127.254115.111.127.25532,766
224115.111.128.0/17115.111.128.1 to 115.111.255.254115.111.255.25532,766
225115.112.0.0/17115.112.0.1 to 115.112.127.254115.112.127.25532,766
226115.112.128.0/17115.112.128.1 to 115.112.255.254115.112.255.25532,766
227115.113.0.0/17115.113.0.1 to 115.113.127.254115.113.127.25532,766
228115.113.128.0/17115.113.128.1 to 115.113.255.254115.113.255.25532,766
229115.114.0.0/17115.114.0.1 to 115.114.127.254115.114.127.25532,766
230115.114.128.0/17115.114.128.1 to 115.114.255.254115.114.255.25532,766
231115.115.0.0/17115.115.0.1 to 115.115.127.254115.115.127.25532,766
232115.115.128.0/17115.115.128.1 to 115.115.255.254115.115.255.25532,766
233115.116.0.0/17115.116.0.1 to 115.116.127.254115.116.127.25532,766
234115.116.128.0/17115.116.128.1 to 115.116.255.254115.116.255.25532,766
235115.117.0.0/17115.117.0.1 to 115.117.127.254115.117.127.25532,766
236115.117.128.0/17115.117.128.1 to 115.117.255.254115.117.255.25532,766
237115.118.0.0/17115.118.0.1 to 115.118.127.254115.118.127.25532,766
238115.118.128.0/17115.118.128.1 to 115.118.255.254115.118.255.25532,766
239115.119.0.0/17115.119.0.1 to 115.119.127.254115.119.127.25532,766
240115.119.128.0/17115.119.128.1 to 115.119.255.254115.119.255.25532,766
241115.120.0.0/17115.120.0.1 to 115.120.127.254115.120.127.25532,766
242115.120.128.0/17115.120.128.1 to 115.120.255.254115.120.255.25532,766
243115.121.0.0/17115.121.0.1 to 115.121.127.254115.121.127.25532,766
244115.121.128.0/17115.121.128.1 to 115.121.255.254115.121.255.25532,766
245115.122.0.0/17115.122.0.1 to 115.122.127.254115.122.127.25532,766
246115.122.128.0/17115.122.128.1 to 115.122.255.254115.122.255.25532,766
247115.123.0.0/17115.123.0.1 to 115.123.127.254115.123.127.25532,766
248115.123.128.0/17115.123.128.1 to 115.123.255.254115.123.255.25532,766
249115.124.0.0/17115.124.0.1 to 115.124.127.254115.124.127.25532,766
250115.124.128.0/17115.124.128.1 to 115.124.255.254115.124.255.25532,766
251115.125.0.0/17115.125.0.1 to 115.125.127.254115.125.127.25532,766
252115.125.128.0/17115.125.128.1 to 115.125.255.254115.125.255.25532,766
253115.126.0.0/17115.126.0.1 to 115.126.127.254115.126.127.25532,766
254115.126.128.0/17115.126.128.1 to 115.126.255.254115.126.255.25532,766
255115.127.0.0/17115.127.0.1 to 115.127.127.254115.127.127.25532,766
256115.127.128.0/17115.127.128.1 to 115.127.255.254115.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses